CREATE SCHEMA ManyToOne;
GO

CREATE TABLE ManyToOne.Countries (
  CountryID int,
  CountryName nvarchar(15) COLLATE Cyrillic_General_CI_AS NOT NULL,
  CONSTRAINT PK_Countries PRIMARY KEY (CountryID)
)
GO

CREATE TABLE ManyToOne.Orders (
  OrderID int IDENTITY,
  Customer nvarchar(50) COLLATE Cyrillic_General_CI_AS Not NULL,
  Employee nvarchar(50) COLLATE Cyrillic_General_CI_AS Not NULL,
  OrderDate datetime NULL,
  RequiredDate datetime NULL,
  ShippedDate datetime NULL,
  Freight money NULL CONSTRAINT DF_Orders_Freight DEFAULT ((0)),
  ShipName nvarchar(40) COLLATE Cyrillic_General_CI_AS NULL,
  ShipAddress nvarchar(60) COLLATE Cyrillic_General_CI_AS NULL,
  ShipCity nvarchar(15) COLLATE Cyrillic_General_CI_AS NULL,
  ShipRegion nvarchar(15) COLLATE Cyrillic_General_CI_AS NULL,
  ShipPostalCode nvarchar(10) COLLATE Cyrillic_General_CI_AS NULL,
  ShipCountryID int NULL,
  CONSTRAINT PK_Orders PRIMARY KEY (OrderID),
  CONSTRAINT FK_Orders_Countries FOREIGN KEY (ShipCountryID) REFERENCES ManyToOne.Countries (CountryID)
)
GO

CREATE TABLE ManyToOne.Suppliers (
  SupplierID int IDENTITY,
  CompanyName nvarchar(40) COLLATE Cyrillic_General_CI_AS NOT NULL,
  ContactName nvarchar(30) COLLATE Cyrillic_General_CI_AS NULL,
  ContactTitle nvarchar(30) COLLATE Cyrillic_General_CI_AS NULL,
  Address nvarchar(60) COLLATE Cyrillic_General_CI_AS NULL,
  City nvarchar(15) COLLATE Cyrillic_General_CI_AS NULL,
  Region nvarchar(15) COLLATE Cyrillic_General_CI_AS NULL,
  PostalCode nvarchar(10) COLLATE Cyrillic_General_CI_AS NULL,
  CountryID int NULL,
  Phone nvarchar(24) COLLATE Cyrillic_General_CI_AS NULL,
  Fax nvarchar(24) COLLATE Cyrillic_General_CI_AS NULL,
  HomePage ntext COLLATE Cyrillic_General_CI_AS NULL,
  CONSTRAINT PK_Suppliers PRIMARY KEY (SupplierID),
  CONSTRAINT FK_Suppliers_Countries FOREIGN KEY (CountryID) REFERENCES ManyToOne.Countries (CountryID)
)